﻿using UnityEngine;
using System.Collections;
using NDream.AirConsole;
using Newtonsoft.Json.Linq;

public class AirConsoleInput : MonoBehaviour
{
    void Start()
    {
        AirConsole.instance.onConnect += OnConnect;
        AirConsole.instance.onDisconnect += OnDisconnect;
        AirConsole.instance.onMessage += OnMessage;
    }

    void OnMessage(int device_id, JToken data)
    {
        if (data["object"] != null)
        {
            Debug.Log("Device '" + device_id + "' moved '" + data["object"] + "' in direction 'alpha:" + data["alpha"] + " beta:" + data["beta"] + " gamma:" + data["gamma"] + "'. \n");
        }
        else {
            Debug.Log("MESSAGE: '" + data.ToString() + "'. \n");
        }
    }

    void OnConnect(int device_id)
    {
        Debug.Log("Device: " + device_id + " connected. \n");
    }

    void OnDisconnect(int device_id)
    {
        Debug.Log("Device: " + device_id + " disconnected. \n");
    }
}
