﻿using UnityEngine;
using System.Collections;

public class NightLogic : MonoBehaviour
{

    public float startAlpha = 0f;
    public Material night;

    private bool isChanging = false;
    private float timeToMove = 0.0f;
    private float actualAlpha = 0f;
    private bool toBlack = false;
	private bool toWhite = false;


    private float currentTime = 0f;

    void Start () {
        actualAlpha = startAlpha;
        night.color = new Color(0f, 0f, 0f, actualAlpha);
    }
	
	void Update () {
        if (isChanging)
        {
            if (currentTime <= timeToMove)
            {
                currentTime += Time.deltaTime;
                actualAlpha = currentTime / timeToMove;
				if (toBlack)
                {
					if (toWhite == false) { 
						night.color = new Color (0f, 0f, 0f, actualAlpha);
					} else {
						night.color = new Color(1f, 1f, 1f, actualAlpha);

					
					}
                }
				else 
                {
					if (toWhite == false) { 
						night.color = new Color (0f, 0f, 0f, 1f - actualAlpha);
					} else {
						night.color = new Color (1f, 1f, 1f, 1f - actualAlpha);
					}              
				}
            }
            else
            {
                currentTime = 0f;
                isChanging = false;
            }
        }
    }

    public void makeNight(float time)
    {
        timeToMove = time;
        isChanging = true;
        toBlack = true;
		toWhite = false;
    }

    public void makeDay(float time)
    {
        timeToMove = time;
        isChanging = true;
        toBlack = false;
		toWhite = false;

    }

	public void endDay(float time){
		timeToMove = time;
		isChanging = true;
		toBlack = true;
		toWhite = true;
	}

	public void startDay(float time){
		timeToMove = time;
		isChanging = true;
		toBlack = false;
		toWhite = true;
	}
}
